#common.Utility.py
"""
	Contains constants and helper functions.
"""

import pygame
import os
import math

loadedImages = {}
fonts = {}

XRES = 600
YRES = 350

def distance(x1, y1, x2, y2):
	"""
		Return the geometric distance between two points.
	"""
	return math.sqrt(math.pow((x1 - x2), 2) + math.pow((y1 - y2), 2))

def floatIsZero(f):
	"""
		Return if a float is equal to zero.
		Avoids nasty computer floating point errors.
	"""
	tolerance = 0.005
	if f + tolerance > 0.0 and f - tolerance < 0.0:
		return True
	else:
		return False

def getFont(name, size):
	"""
		Returns the game font.  If the game font has not been loaded before, loads it from disk.
		Otherwise, load it from memory.
		current game font == freesansbold.ttf, font size of 12
	"""
	if not fonts.has_key(name + str(size)):
		fonts[name + str(size)] = pygame.font.Font("data" + os.sep + "fonts" + os.sep + name + ".ttf", size)
	return fonts[name + str(size)]
	
def load_sound(name):
	"""
		Given a filename (not a path), finds the path to the file.
	"""
	fullname = os.path.join('data', 'sound')
	fullname = os.path.join(fullname, name)
	return fullname
